{
  "extends": "../../tsconfig.base.json",
  "compilerOptions": {
    "composite": false,
    "noEmit": true,
    "module": "ESNext",
    "moduleResolution": "Bundler",
    "jsx": "react-jsx",
    "lib": ["ES2022", "DOM", "DOM.Iterable"],
    "types": ["vite/client"],
    "paths": {
      "@/*": ["./src/*"],
      "@shared/*": ["../../packages/shared/src/*"],
      "@db-types/*": ["../../packages/db-types/src/*"],
      "@ui-web/*": ["../../packages/ui-web/src/*"]
    }
  },
  "include": [
    "src/**/*",
    "electron/preload-types.d.ts",
    "electron.vite.config.ts"
  ],
  "exclude": ["node_modules", "dist", "out", "release"]
}
